package controller

import (
	"github.com/gin-gonic/gin"
	"trading-go/model"
	"trading-go/response"
)

// CreateAppraise
// @Tags 评论模块
// @Summary 创建评论
// @Produce application/json
// @Param json body model.AppraiseJson true "评价信息"
// @Success 200 {object} response.Response
// @Router /appraise/create [post]
func CreateAppraise(c *gin.Context) {
	response.Success(c.Writer, "success", nil)
}

// DAppraise
// @Tags 评论模块
// @Summary 删除评论
// @Produce application/json
// @Param id path int64 true "评论id"
// @Success 200 {object} response.Response
// @Router /appraise/delete/{id} [delete]
func DAppraise(c *gin.Context) {
	response.Success(c.Writer, "success", nil)
}

// RAppraise
// @Tags 评论模块
// @Summary 修改评论
// @Produce application/json
// @Param json body model.Appraise true "评价信息"
// @Success 200 {object} response.Response
// @Router /appraise/revise [post]
func RAppraise(c *gin.Context) {
	response.Success(c.Writer, "success", nil)
}

// GetUserAppraise
// @Tags 评论模块
// @Summary 获取用户评价
// @Produce application/json
// @Param id query int64 true "用户id"
// @Success 200 {object} response.Response
// @Router /appraise/user [get]
func GetUserAppraise(c *gin.Context) {
	var appraises []model.Appraise
	appraises = append(appraises, model.Appraise{})
	appraises = append(appraises, model.Appraise{})
	response.Success(c.Writer, "success", appraises)
}
